Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.artifacts.maven
Interface GroovyPomFilterContainer

    org.gradle.api.artifacts.maven.PomFilterContainer
      org.gradle.api.artifacts.maven.GroovyPomFilterContainer

All Superinterfaces:
  PomFilterContainer

    interface GroovyPomFilterContainer
    extends PomFilterContainer

author:
  Hans Dockter

Method Summary
`MavenPom` | `addFilter(java.lang.String name, Closure filter)` Adds a publish filter.
`void` | `filter(Closure filter)` Sets the default publish filter.
`MavenPom` | `pom(java.lang.String name, Closure configureClosure)` Configures a pom by a closure.
`MavenPom` | `pom(Closure configureClosure)` Configures the default pom by a closure.

Methods inherited from interface PomFilterContainer
addFilter, filter, getActivePomFilters, getFilter, getPom, pom, setFilter, setPom

Method Detail

### addFilter

    public MavenPom addFilter(java.lang.String name, Closure filter)

  Adds a publish filter.
  param:
    name The name of the filter
  param:
    filter The filter
  return:
    The Maven pom associated with the closure
  see:
    org.gradle.api.artifacts.maven.PublishFilter
  see:
    PomFilterContainer#addFilter(String, org.gradle.api.artifacts.maven.PublishFilter)

### filter

    public void filter(Closure filter)

  Sets the default publish filter.
  param:
    filter The filter to be set
  see:
    org.gradle.api.artifacts.maven.PublishFilter
  see:
    PomFilterContainer#setFilter(org.gradle.api.artifacts.maven.PublishFilter)

### pom

    public MavenPom pom(java.lang.String name, Closure configureClosure)

  Configures a pom by a closure. The closure statements are delegated to the pom object associated with the given name.
  param:
    name
  param:
    configureClosure
  return:
    The pom object associated with the given name.
  see:
    PomFilterContainer#pom(String)

### pom

    public MavenPom pom(Closure configureClosure)

  Configures the default pom by a closure. The closure statements are delegated to the default pom.
  param:
    configureClosure
  return:
    The default pom.
  see:
    PomFilterContainer#getPom()

Groovy Documentation